@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap");

*,
*:after,
*:before {
    box-sizing: border-box;
}

:root {
    --header-outer-height: 90px;
    --header-inner-height: 70px;
    --header-height-difference: calc( var(--header-outer-height) - var(--header-inner-height) );
    --main-bg: #222629;
    /*--header-bg: #2a2e32;
    --main-bg: #1a1a1d;
    
    --main-bg: #fff;
    --main-bg: #edeae5;*/

    /*green accients*/
    /*--text-main-color: #cebc82;
    --text-accient-color: #15db95;
    --text-secondary-color: #479761;
    --border-color: #b19f9e;
    --card-bg: #3c3240;*/

    /*red accients*/
    /*--text-main-color: #4e4e50;
    --text-accient-color: #c3073f;
    --text-secondary-color: #6f2232;
    --border-color: #950740;
    --card-bg: #3c3240;*/

    /*yellow accients*/
    /*--text-main-color: #606055;
    --text-accient-color: #faed26;
    --text-secondary-color: #9b976f;
    --border-color: #faed26;
    --link-color: #878777;
    --card-bg: #3f4032;*/

    /*green2 accients*/
    --text-main-color: #6b6e70;
    --text-accient-color: #c6ddf2;
    --text-secondary-color: #459ccf;
    --border-color: #5ab9ea;
    --link-color: #40b6f1;
    --card-bg: #474b4f;

    /*experiment accients*/
    /*--text-main-color: #000000;
    --text-accient-color: #026670;
    --text-secondary-color: #026670;
    --border-color: #fef9c7;
    --card-bg: #ccc9c5;*/

    /*experiment 2 accients*/
    /*--text-main-color: #e8a87c;
    --text-accient-color: #fff;
    --text-secondary-color: #e27d60;
    --border-color: #05386b;
    --link-color: #edf5e1;
    --card-bg: #41b3a3;*/
}

a {
    text-decoration: none;
    color: var(--link-color) !important;
}

.btn-primary {
    background-color: var(--link-color) !important;
    border: none;
}

.text-secondary {
    color: var(--text-secondary-color) !important;
}

.text-main {
    color: var(--text-main-color);
}

.text-accient {
    color: var(--text-accient-color) !important;
}

body {
    font-family: "DM Sans", sans-serif;
    background-color: var(--main-bg);
    line-height: 1.5;
    position: relative;
    overflow-x: hidden;
}

.mbadge{
    background: var(--link-color);
    border-radius: 20px;
    width: fit-content;
    padding: 8px;
    padding-top: 4px;
    padding-bottom: 4px;
}

.responsive-wrapper {
    width: 100%;
    margin-left: 20px;
    margin-right: 20px;
}

.header-outer {
    height: var(--header-outer-height);
    position: sticky;
    top: calc( var(--header-height-difference) * -1 ); /* Multiply by -1 to get a negative value */
    display: flex;
    align-items: center;
    background-color: var(--main-bg);
    border-top: 3px solid var(--text-accient-color);
    z-index: 999;
}

.header-inner {
    height: var(--header-inner-height);
    position: sticky;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.hero-home {
    height: 300px;
    width: 100%;
    display: inherit;
}

    .hero-home.bg-mockup {
        background: var(--main-bg) url('../resources/Partyrace/Screenshot_1.png') no-repeat center bottom;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }

    .hero-home .content {
        display: table-cell;
        padding: 0;
        vertical-align: middle;
        text-align: center;
        font-size: 21px;
        color: #fff;
        text-shadow: 1px 1px 2px var(--main-bg);
    }

.content {
    background: -webkit-linear-gradient(top, var(--main-bg), transparent);
    background: linear-gradient(to bottom, var(--main-bg) 0%, rgba(42,46,50,.1) 100%);
    backdrop-filter: blur(5px);
    z-index:-200;
}

.a-animating-arrow {
    animation-name: movebottom;
    animation-duration: .5s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

.animating-arrow {
    animation-name: colorswap;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

@keyframes colorswap {
    from {
        color: var(--text-accient-color);
    }

    to {
        color: var(--text-secondary-color);
    }
}

@keyframes movebottom {
    from {
        padding-top: 50px;
    }

    to {
        padding-top: 10px;
    }
}

.header-logo img {
    display: block;
    height: calc(var(--header-inner-height) - 20px);
}

.header-navigation {
    display: flex;
    flex-wrap: wrap;
}

    .header-navigation a,
    .header-navigation button {
        font-size: 1.125rem;
        margin-left: 1.75rem;
        position: relative;
        font-weight: 500;
        color: var(--text-accient-color);
    }

    .header-navigation a {
        display: none;
        font-size: 1.125rem;
        text-decoration: none;
    }

    .header-navigation button {
        border: 0;
        background-color: transparent;
        padding: 0;
    }

        .header-navigation a:hover:after,
        .header-navigation button:hover:after {
            transform: scalex(1);
        }

        .header-navigation a:after,
        .header-navigation button:after {
            transition: 0.25s ease;
            content: "";
            display: block;
            width: 100%;
            height: 2px;
            background-color: var(--text-accient-color);
            transform: scalex(0);
            position: absolute;
            bottom: -2px;
            left: 0;
        }

.card-content {
    width: 100%;
    position: relative;
    height: 200px;
    z-index: 1;
    transition: all .3s;
    background: linear-gradient(to right, transparent 0%, transparent 70%);
    color: transparent;
    backdrop-filter: blur(0);
}

    .card-content:after {
        content: '';
        opacity: 0;
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        border-radius: inherit;
        transition: opacity .3s;
        background: linear-gradient(to right, var(--text-secondary-color) 0%, var(--text-secondary-color) 50%, transparent 70%);
    }

    .card-content:hover:after {
        opacity: 1;
    }

    .card-content:hover {
        color: var(--text-main-color);
        backdrop-filter: blur(3);
    }

.product-item {
    width: 100%;
    background: var(--main-bg) url(../resources/Partyrace/variant1.png) no-repeat right bottom;
    background-size: cover;
}

.product {
    max-width: 500px;
    border: 3px solid var(--border-color);
    border-radius: 5px;
    padding: 0;
    margin: 0;
    z-index: 100;
}

.card-app-header {
    background-color: var(--card-bg);
    color: var(--text-accient-color);
    text-align:start;
    padding-left: 10px;
    border-top-left-radius:5px;
    border-top-right-radius:5px;
    border-bottom: 2px solid var(--text-accient-color);
}


/*Added*/

.flip-card {
    background-color: transparent;
    max-height: 250px;
    height: 250px;
    perspective: 1000px;
    margin:0; padding:5px;
    margin-top:10px;
}

.flip-card-inner {
    position: relative;
    max-height: 250px;
    height: 250px;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card:hover .flip-card-inner {
    transform: rotateX(180deg);
}

.flip-card-front, .flip-card-back {
    border-radius:5px;
    position: absolute;
    max-height: 250px;
    height: 250px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.flip-card-front img {
    max-height: 250px;
}

.flip-card-front {
    background-color: var(--main-bg);
    color: black;
}

.flip-card-back {
    width:100%;
    background-color: var(--card-bg);
    color: var(--text-accient-color);
    transform: rotateX(180deg);
}

.flip-card-back p {
    padding-left: 10px;
    padding-right: 10px;
    text-align: justify;
    color: var(--text-secondary-color);
}

/*End Added*/


.main {
    margin-top: 3rem;
}

footer {
    background: var(--main-bg);
}

    footer a:hover, footer a:focus {
        text-decoration: none;
    }

@media (min-width: 800px) {
    .header-navigation a {
        display: inline-block;
    }

    .header-navigation button {
        display: none;
    }
}

body::-webkit-scrollbar {
    width: 10px;
}

body::-webkit-scrollbar-track {
    background-color: transparent;
}

body::-webkit-scrollbar-thumb {
    background-color: var(--text-secondary-color);
    border-radius: 5px;
}
